org.apache.lucene.analysis.ko.tokenattributes

## Interface PartOfSpeechAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    PartOfSpeechAttributeImpl

      public interface PartOfSpeechAttribute
      extends Attribute

  Part of Speech attributes for Korean.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `POS.Tag` | `getLeftPOS()` Get the left part of speech of the token.
    `Dictionary.Morpheme[]` | `getMorphemes()` Get the `Dictionary.Morpheme` decomposition of the token.
    `POS.Type` | `getPOSType()` Get the `POS.Type` of the token.
    `POS.Tag` | `getRightPOS()` Get the right part of speech of the token.
    `void` | `setToken(Token token)` Set the current token.

- - ### Method Detail

    - #### getPOSType

          POS.Type getPOSType()

      Get the `POS.Type` of the token.

    - #### getLeftPOS

          POS.Tag getLeftPOS()

      Get the left part of speech of the token.

    - #### getRightPOS

          POS.Tag getRightPOS()

      Get the right part of speech of the token.

    - #### getMorphemes

          Dictionary.Morpheme[] getMorphemes()

      Get the `Dictionary.Morpheme` decomposition of the token.

    - #### setToken

          void setToken(Token token)

      Set the current token.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.